diff --git a/server/src/main/java/org/danekja/ymanager/dto/UserSettingsDTO.java b/server/src/main/java/org/danekja/ymanager/dto/UserSettingsDTO.java
new file mode 100644
index 0000000..38a98c7
--- /dev/null
+++ b/server/src/main/java/org/danekja/ymanager/dto/UserSettingsDTO.java
@@ -0,0 +1,126 @@
+package org.danekja.ymanager.dto;
+
+import org.danekja.ymanager.domain.UserRole;
+
+import java.time.LocalDateTime;
+
+/**
+ * The messenger class {@code UserSettings} is used to change user settings by an employer.
+ * This class is used in communication with a frontend.
+ */
+public class UserSettingsDTO {
+    /**
+     * The user's ID.
+     */
+    private Long id;
+
+    /**
+     * The number of user's remaining hours of an overtime.
+     */
+    private Float vacationCount;
+
+    /**
+     * The number of user's sick days available during a year.
+     */
+    private Integer sickDayCount;
+
+    /**
+     * The user's role.
+     */
+    private UserRole role;
+
+    /**
+     * The date and time of sending an email warning about an incoming reset of remaining overtimes and sick days.
+     */
+    private LocalDateTime notification;
+
+    /**
+     * Returns the user's ID.
+     *
+     * @return the user's ID
+     */
+    public Long getId() {
+        return this.id;
+    }
+
+    /**
+     * Replaces the user's ID with the specified value.
+     *
+     * @param id the new user's ID
+     */
+    public void setId(final Long id) {
+        this.id = id;
+    }
+
+    /**
+     * Returns the number of user's remaining hours of an overtime.
+     *
+     * @return the number of user's remaining hours of the overtime
+     */
+    public Float getVacationCount() {
+        return this.vacationCount;
+    }
+
+    /**
+     * Replaces the number of user's remaining hours of an overtime with the specified value.
+     *
+     * @param vacationCount the new number of remaining hours of the overtime.
+     */
+    public void setVacationCount(final Float vacationCount) {
+        this.vacationCount = vacationCount;
+    }
+
+    /**
+     * Returns the number of user's sick days available during a year.
+     *
+     * @return the number of user's sick days available during the year
+     */
+    public Integer getSickDayCount() {
+        return this.sickDayCount;
+    }
+
+    /**
+     * Replaces the number of user's sick days available during a year with the new value.
+     *
+     * @param sickDayCount the new number of sick days available during the year
+     */
+    public void setSickDayCount(final Integer sickDayCount) {
+        this.sickDayCount = sickDayCount;
+    }
+
+    /**
+     * Returns the user's role.
+     *
+     * @return the user's role
+     */
+    public UserRole getRole() {
+        return this.role;
+    }
+
+    /**
+     * Replaces the user's role with the new provided value.
+     *
+     * @param role the new role
+     */
+    public void setRole(final UserRole role) {
+        this.role = role;
+    }
+
+    /**
+     * Returns the date and time of sending an email warning about an incoming reset of remaining overtimes and sick days.
+     *
+     * @return the date and time
+     */
+    public LocalDateTime getNotification() {
+        return this.notification;
+    }
+
+    /**
+     * Replaces the date and time of sending an email warning about an incoming reset of remaining overtimes and sick days with the given value.
+     *
+     * @param notification the new date and time
+     */
+    public void setNotification(final LocalDateTime notification) {
+        this.notification = notification;
+    }
+}
diff --git a/server/src/main/java/org/danekja/ymanager/dto/VacationDayDTO.java b/server/src/main/java/org/danekja/ymanager/dto/VacationDayDTO.java
new file mode 100644
index 0000000..4f75791
--- /dev/null
+++ b/server/src/main/java/org/danekja/ymanager/dto/VacationDayDTO.java
@@ -0,0 +1,151 @@
+package org.danekja.ymanager.dto;
+
+import org.danekja.ymanager.domain.Status;
+import org.danekja.ymanager.domain.VacationType;
+
+import java.time.LocalDate;
+import java.time.LocalTime;
+
+/**
+ * The messenger class {@code Vacation} holds informations of an overtime or a sick day taken by a user.
+ * This class is used in communication with a frontend.
+ */
+public class VacationDayDTO {
+    /**
+     * The ID of this vacation.
+     */
+    private Long id;
+
+    /**
+     * The date of this vacation.
+     */
+    private LocalDate date;
+
+    /**
+     * The starting time of this vacation.
+     */
+    private LocalTime from;
+
+    /**
+     * The ending time of this vacation.
+     */
+    private LocalTime to;
+
+    /**
+     * The type of this vacation.
+     */
+    private VacationType type;
+
+    /**
+     * The approval status of this vacation.
+     */
+    private Status status;
+
+    /**
+     * Returns the ID of this vacation.
+     *
+     * @return the ID of this vacation
+     */
+    public Long getId() {
+        return this.id;
+    }
+
+    /**
+     * Replaces the ID of this vacation with the specified value.
+     *
+     * @param id the new ID
+     */
+    public void setId(final Long id) {
+        this.id = id;
+    }
+
+    /**
+     * Returns the date of this vacation.
+     *
+     * @return the date of this vacation
+     */
+    public LocalDate getDate() {
+        return this.date;
+    }
+
+    /**
+     * Replaces the date of this vacation with the specified date.
+     *
+     * @param date the new date
+     */
+    public void setDate(final LocalDate date) {
+        this.date = date;
+    }
+
+    /**
+     * Returns the starting time of this vacation.
+     *
+     * @return the starting time of this vacation
+     */
+    public LocalTime getFrom() {
+        return this.from;
+    }
+
+    /**
+     * Replaces the starting time of this vacation with the given time.
+     *
+     * @param from the new starting time
+     */
+    public void setFrom(final LocalTime from) {
+        this.from = from;
+    }
+
+    /**
+     * Returns the ending time of this vacation.
+     *
+     * @return the ending time of this vacation
+     */
+    public LocalTime getTo() {
+        return this.to;
+    }
+
+    /**
+     * Replaces the ending time of this vacation with the provided time.
+     *
+     * @param to the new ending time
+     */
+    public void setTo(final LocalTime to) {
+        this.to = to;
+    }
+
+    /**
+     * Returns the type of this vacation.
+     *
+     * @return the type of this vacation
+     */
+    public VacationType getType() {
+        return this.type;
+    }
+
+    /**
+     * Replaces the type of this vacation with the handed type.
+     *
+     * @param type the new type
+     */
+    public void setType(final VacationType type) {
+        this.type = type;
+    }
+
+    /**
+     * Returns the approval status of this vacation.
+     *
+     * @return the approval status of this vacation
+     */
+    public Status getStatus() {
+        return this.status;
+    }
+
+    /**
+     * Replaces the approval status of this vacation with the given value.
+     *
+     * @param status the new approval status
+     */
+    public void setStatus(final Status status) {
+        this.status = status;
+    }
+}
diff --git a/server/src/main/java/org/danekja/ymanager/dto/VacationRequestDTO.java b/server/src/main/java/org/danekja/ymanager/dto/VacationRequestDTO.java
new file mode 100644
index 0000000..fe65303
--- /dev/null
+++ b/server/src/main/java/org/danekja/ymanager/dto/VacationRequestDTO.java
@@ -0,0 +1,222 @@
+package org.danekja.ymanager.dto;
+
+import org.danekja.ymanager.domain.Status;
+import org.danekja.ymanager.domain.VacationType;
+
+import java.time.LocalDate;
+import java.time.LocalDateTime;
+import java.time.LocalTime;
+
+/**
+ * An instance of the messenger class {@code VacationRequest} is just a different view of a user's vacation.
+ * It stores information relevant to the vacation which helps an employer to accept or reject the user's vacation.
+ * This class is used in a communication with a frontend.
+ */
+public class VacationRequestDTO {
+    /**
+     * The ID of this vacation request.
+     */
+    private Long id;
+
+    /**
+     * The user's first name.
+     */
+    private String firstName;
+
+    /**
+     * The user's last name.
+     */
+    private String lastName;
+
+    /**
+     * The date of this vacation request.
+     */
+    private LocalDate date;
+
+    /**
+     * The starting time of this vacation request.
+     */
+    private LocalTime from;
+
+    /**
+     * The ending time of this vacation request.
+     */
+    private LocalTime to;
+
+    /**
+     * The type of this vacation request.
+     */
+    private VacationType type;
+
+    /**
+     * The approval status of this vacation request.
+     */
+    private Status status;
+
+    /**
+     * The date and time of a creation of this vacation request.
+     */
+    private LocalDateTime timestamp;
+
+    /**
+     * Returns the ID of this vacation request.
+     *
+     * @return the ID of this vacation request
+     */
+    public Long getId() {
+        return this.id;
+    }
+
+    /**
+     * Replaces the ID of this vacation request with the specified value.
+     *
+     * @param id the new ID
+     */
+    public void setId(final Long id) {
+        this.id = id;
+    }
+
+    /**
+     * Returns the user's first name.
+     *
+     * @return the user's first name
+     */
+    public String getFirstName() {
+        return this.firstName;
+    }
+
+    /**
+     * Replaces the user's first name with the new specified value.
+     *
+     * @param firstName the new first name
+     */
+    public void setFirstName(final String firstName) {
+        this.firstName = firstName;
+    }
+
+    /**
+     * Returns the user's last name.
+     *
+     * @return the user's last name
+     */
+    public String getLastName() {
+        return this.lastName;
+    }
+
+    /**
+     * Replaces the user's last name with the given one.
+     *
+     * @param lastName the new last name
+     */
+    public void setLastName(final String lastName) {
+        this.lastName = lastName;
+    }
+
+    /**
+     * Returns the date of this vacation request.
+     *
+     * @return the date of this vacation request
+     */
+    public LocalDate getDate() {
+        return this.date;
+    }
+
+    /**
+     * Replaces the date of this vacation request with the specified date.
+     *
+     * @param date the new date
+     */
+    public void setDate(final LocalDate date) {
+        this.date = date;
+    }
+
+    /**
+     * Returns the starting time of this vacation request.
+     *
+     * @return the starting time of this vacation request
+     */
+    public LocalTime getFrom() {
+        return this.from;
+    }
+
+    /**
+     * Replaces the starting time of this vacation request with the given time.
+     *
+     * @param from the new starting time
+     */
+    public void setFrom(final LocalTime from) {
+        this.from = from;
+    }
+
+    /**
+     * Returns the ending time of this vacation request.
+     *
+     * @return the ending time of this vacation request
+     */
+    public LocalTime getTo() {
+        return this.to;
+    }
+
+    /**
+     * Replaces the ending time of this vacation request with the provided time.
+     *
+     * @param to the new ending time
+     */
+    public void setTo(final LocalTime to) {
+        this.to = to;
+    }
+
+    /**
+     * Returns the type of this vacation request.
+     *
+     * @return the type of this vacation request
+     */
+    public VacationType getType() {
+        return this.type;
+    }
+
+    /**
+     * Replaces the type of this vacation request with the handed type.
+     *
+     * @param type the new type
+     */
+    public void setType(final VacationType type) {
+        this.type = type;
+    }
+
+    /**
+     * Returns the approval status of this vacation request.
+     *
+     * @return the approval status of this vacation request
+     */
+    public Status getStatus() {
+        return this.status;
+    }
+
+    /**
+     * Replaces the approval status of this vacation request with the given value.
+     *
+     * @param status the new approval status
+     */
+    public void setStatus(final Status status) {
+        this.status = status;
+    }
+
+    /**
+     * Returns the date and time of a creation of this vacation request.
+     *
+     * @return the date and time of the creation of this vacation request
+     */
+    public LocalDateTime getTimestamp() {
+        return this.timestamp;
+    }
+
+    /**
+     * Replaces the date and time of a creation of this vacation request with the specified timestamp.
+     *
+     * @param timestamp the date and time of the creation of this vacation request
+     */
+    public void setTimestamp(final LocalDateTime timestamp) {
+        this.timestamp = timestamp;
+    }
+}
diff --git a/server/src/main/java/org/danekja/ymanager/repository/RequestRepository.java b/server/src/main/java/org/danekja/ymanager/repository/RequestRepository.java
index 27fd30b..f95efe8 100644
--- a/server/src/main/java/org/danekja/ymanager/repository/RequestRepository.java
+++ b/server/src/main/java/org/danekja/ymanager/repository/RequestRepository.java
@@ -27,7 +27,7 @@ public class RequestRepository {
     /**
      * The mapper maps a row from a result of a query to an AuthorizationRequest.
      */
-    private class AuthorizationRequestMapper implements RowMapper<AuthorizationRequest> {
+    private class AuthorizationRequestMapper implements RowMapper<AuthorizationRequestDTO> {
 
         /**
          * Maps a row from a result of a query to an AuthorizationRequest.
@@ -37,8 +37,8 @@ public class RequestRepository {
          * @throws SQLException if the columnLabel is not valid; if a database access error occurs or this method is called on a closed result set
          */
         @Override
-        public AuthorizationRequest mapRow(ResultSet resultSet, int i) throws SQLException {
-            final AuthorizationRequest request = new AuthorizationRequest();
+        public AuthorizationRequestDTO mapRow(ResultSet resultSet, int i) throws SQLException {
+            final AuthorizationRequestDTO request = new AuthorizationRequestDTO();
             request.setId(resultSet.getLong("id"));
             request.setFirstName(resultSet.getString("first_name"));
             request.setLastName(resultSet.getString("last_name"));
@@ -51,7 +51,7 @@ public class RequestRepository {
     /**
      * The mapper maps each row from a result of a query to a VacationRequest.
      */
-    private class VacationRequestMapper implements RowMapper<VacationRequest> {
+    private class VacationRequestMapper implements RowMapper<VacationRequestDTO> {
 
         /**
          * Maps a row from a result of a query to an VacationRequest.
@@ -61,8 +61,8 @@ public class RequestRepository {
          * @throws SQLException if the columnLabel is not valid; if a database access error occurs or this method is called on a closed result set
          */
         @Override
-        public VacationRequest mapRow(ResultSet resultSet, int i) throws SQLException {
-            final VacationRequest request = new VacationRequest();
+        public VacationRequestDTO mapRow(ResultSet resultSet, int i) throws SQLException {
+            final VacationRequestDTO request = new VacationRequestDTO();
             request.setId(resultSet.getLong("v.id"));
             request.setFirstName(resultSet.getString("u.first_name"));
             request.setLastName(resultSet.getString("u.last_name"));
@@ -120,7 +120,7 @@ public class RequestRepository {
      *
      * @return the list of all authorization requests
      */
-    public List<AuthorizationRequest> getAllAuthorizations() {
+    public List<AuthorizationRequestDTO> getAllAuthorizations() {
         RequestRepository.log.trace("Selecting all authorization requests from a database.");
 
         return this.jdbc.query("SELECT id, first_name, last_name, creation_date, status FROM end_user", new AuthorizationRequestMapper());
@@ -135,7 +135,7 @@ public class RequestRepository {
      * @param status the approval status of the requests
      * @return the list of all authorization requests with the given status
      */
-    public List<AuthorizationRequest> getAllAuthorizations(final Status status) {
+    public List<AuthorizationRequestDTO> getAllAuthorizations(final Status status) {
         RequestRepository.log.trace("Selecting all authorization requests from a database with requested status.");
         RequestRepository.log.debug("Status: {}", status);
 
@@ -160,7 +160,7 @@ public class RequestRepository {
      *
      * @param request the BasicRequest object with new values of the vacation request
      */
-    public void updateAuthorization(final BasicRequest request) {
+    public void updateAuthorization(final BasicRequestDTO request) {
         this.updateAuthorization(request.getId(), request.getStatus());
     }
 
@@ -172,7 +172,7 @@ public class RequestRepository {
      *
      * @return the list of all vacation requests
      */
-    public List<VacationRequest> getAllVacationRequests() {
+    public List<VacationRequestDTO> getAllVacationRequests() {
         RequestRepository.log.trace("Selecting all vacation requests from a database.");
 
         return this.jdbc.query("SELECT v.id, v.vacation_date, v.time_from, v.time_to, v.creation_date, v.vacation_type, v.status, u.first_name, u.last_name " +
@@ -188,7 +188,7 @@ public class RequestRepository {
      * @param status the approval status of the requests
      * @return the list of all vacation requests with the given status
      */
-    public List<VacationRequest> getAllVacationRequests(final Status status) {
+    public List<VacationRequestDTO> getAllVacationRequests(final Status status) {
         RequestRepository.log.trace("Selecting all vacation requests from a database with requested status.");
         RequestRepository.log.debug("Status: {}", status);
 
@@ -217,7 +217,7 @@ public class RequestRepository {
      *
      * @param request the BasicRequest object with new values of the vacation request
      */
-    public void updateVacationRequest(final BasicRequest request) {
+    public void updateVacationRequest(final BasicRequestDTO request) {
         this.updateVacationRequest(request.getId(), request.getStatus());
     }
 }
diff --git a/server/src/main/java/org/danekja/ymanager/repository/UserRepository.java b/server/src/main/java/org/danekja/ymanager/repository/UserRepository.java
index ed976dc..ee76c53 100644
--- a/server/src/main/java/org/danekja/ymanager/repository/UserRepository.java
+++ b/server/src/main/java/org/danekja/ymanager/repository/UserRepository.java
@@ -1,8 +1,8 @@
 package org.danekja.ymanager.repository;
 
 import org.danekja.ymanager.domain.*;
-import org.danekja.ymanager.dto.BasicProfileUser;
-import org.danekja.ymanager.dto.FullUserProfile;
+import org.danekja.ymanager.dto.BasicProfileUserDTO;
+import org.danekja.ymanager.dto.FullUserProfileDTO;
 import org.danekja.ymanager.repository.jdbc.mappers.UserDataRowMapper;
 import org.danekja.ymanager.repository.jdbc.mappers.UserRowMapper;
 import org.slf4j.Logger;
@@ -33,7 +33,7 @@ public class UserRepository {
     /**
      * The mapper maps a row from a result of a query to an BasicProfileUser.
      */
-    private class BasicProfileUserMapper implements RowMapper<BasicProfileUser> {
+    private class BasicProfileUserMapper implements RowMapper<BasicProfileUserDTO> {
 
         /**
          * Maps a row from a result of a query to an BasicProfileUser.
@@ -43,8 +43,8 @@ public class UserRepository {
          * @throws SQLException if the columnLabel is not valid; if a database access error occurs or this method is called on a closed result set
          */
         @Override
-        public BasicProfileUser mapRow(ResultSet resultSet, int i) throws SQLException {
-            final BasicProfileUser user = new BasicProfileUser();
+        public BasicProfileUserDTO mapRow(ResultSet resultSet, int i) throws SQLException {
+            final BasicProfileUserDTO user = new BasicProfileUserDTO();
             user.setId(resultSet.getLong("id"));
             user.setFirstName(resultSet.getString("first_name"));
             user.setLastName(resultSet.getString("last_name"));
@@ -120,7 +120,7 @@ public class UserRepository {
      *
      * @return A list of all basic profiles.
      */
-    public List<BasicProfileUser> getAllBasicUsers() {
+    public List<BasicProfileUserDTO> getAllBasicUsers() {
         UserRepository.log.trace("Selecting basic profiles of all users from a database.");
 
         return this.jdbc.query("SELECT id, first_name, last_name, photo FROM end_user", new BasicProfileUserMapper());
@@ -135,7 +135,7 @@ public class UserRepository {
      * @param status The authentication status.
      * @return A list of all basic profiles with the given status.
      */
-    public List<BasicProfileUser> getAllBasicUsers(final Status status) {
+    public List<BasicProfileUserDTO> getAllBasicUsers(final Status status) {
         UserRepository.log.trace("Selecting basic profiles of all users with a required status from a database.");
         UserRepository.log.debug("Status: {}", status);
 
@@ -154,12 +154,12 @@ public class UserRepository {
      * @param id
      * @return
      */
-    public FullUserProfile getFullUser(final long id) {
+    public FullUserProfileDTO getFullUser(final long id) {
         UserRepository.log.debug("Selecting full profile of a user with the specified id from a database: {}", id);
 
         final Map<String, Object> resultMap = this.getUserColumns(id);
 
-        final FullUserProfile user = new FullUserProfile();
+        final FullUserProfileDTO user = new FullUserProfileDTO();
         user.setId(id);
         user.setFirstName((String) resultMap.get("out_first_name"));
         user.setLastName((String) resultMap.get("out_last_name"));
diff --git a/server/src/main/java/org/danekja/ymanager/repository/VacationRepository.java b/server/src/main/java/org/danekja/ymanager/repository/VacationRepository.java
index b5db971..f76dc6e 100644
--- a/server/src/main/java/org/danekja/ymanager/repository/VacationRepository.java
+++ b/server/src/main/java/org/danekja/ymanager/repository/VacationRepository.java
@@ -3,7 +3,7 @@ package org.danekja.ymanager.repository;
 import org.danekja.ymanager.domain.Status;
 import org.danekja.ymanager.domain.Vacation;
 import org.danekja.ymanager.domain.VacationType;
-import org.danekja.ymanager.dto.VacationDay;
+import org.danekja.ymanager.dto.VacationDayDTO;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 import org.springframework.beans.factory.annotation.Autowired;
@@ -25,7 +25,7 @@ public class VacationRepository {
     /**
      * The mapper maps a row from a result of a query to an Vacation.
      */
-    private class VacationDayMapper implements RowMapper<VacationDay> {
+    private class VacationDayMapper implements RowMapper<VacationDayDTO> {
 
         /**
          * Maps a row from a result of a query to an Vacation.
@@ -35,8 +35,8 @@ public class VacationRepository {
          * @throws SQLException if the columnLabel is not valid; if a database access error occurs or this method is called on a closed result set
          */
         @Override
-        public VacationDay mapRow(ResultSet resultSet, int i) throws SQLException {
-            final VacationDay item = new VacationDay();
+        public VacationDayDTO mapRow(ResultSet resultSet, int i) throws SQLException {
+            final VacationDayDTO item = new VacationDayDTO();
             item.setId(resultSet.getLong("v.id"));
             item.setDate(resultSet.getDate("v.vacation_date").toLocalDate());
 
@@ -83,7 +83,7 @@ public class VacationRepository {
         this.jdbc = jdbc;
     }
 
-    public List<VacationDay> getVacationDays(final long userId, final LocalDate from) {
+    public List<VacationDayDTO> getVacationDays(final long userId, final LocalDate from) {
         return jdbc.query("SELECT v.id, v.vacation_date, v.time_from, v.time_to, v.status, v.vacation_type " +
                         "FROM vacation_day v " +
                         "INNER JOIN end_user u ON v.user_id = u.id " +
@@ -91,7 +91,7 @@ public class VacationRepository {
                 new Object[]{userId, from}, new VacationDayMapper());
     }
 
-    public List<VacationDay> getVacationDays(final long userId, final LocalDate from, final Status status) {
+    public List<VacationDayDTO> getVacationDays(final long userId, final LocalDate from, final Status status) {
         return jdbc.query("SELECT v.id, v.vacation_date, v.time_from, v.time_to, v.status, v.vacation_type " +
                         "FROM vacation_day v " +
                         "INNER JOIN end_user u ON v.user_id = u.id " +
@@ -99,7 +99,7 @@ public class VacationRepository {
                 new Object[]{userId, from, status.name()}, new VacationDayMapper());
     }
 
-    public List<VacationDay> getVacationDays(final long userId, final LocalDate from, final LocalDate to) {
+    public List<VacationDayDTO> getVacationDays(final long userId, final LocalDate from, final LocalDate to) {
         return jdbc.query("SELECT v.id, v.vacation_date, v.time_from, v.time_to, v.status, v.vacation_type " +
                         "FROM vacation_day v " +
                         "INNER JOIN end_user u ON v.user_id = u.id " +
@@ -108,7 +108,7 @@ public class VacationRepository {
 
     }
 
-    public List<VacationDay> getVacationDays(final long userId, final LocalDate from, final LocalDate to, final Status status) {
+    public List<VacationDayDTO> getVacationDays(final long userId, final LocalDate from, final LocalDate to, final Status status) {
         return jdbc.query("SELECT v.id, v.vacation_date, v.time_from, v.time_to, v.status, v.vacation_type " +
                         "FROM vacation_day v " +
                         "INNER JOIN end_user u ON v.user_id = u.id " +
diff --git a/server/src/main/java/org/danekja/ymanager/ws/rest/ApiController.java b/server/src/main/java/org/danekja/ymanager/ws/rest/ApiController.java
index a0a0631..6da7f74 100644
--- a/server/src/main/java/org/danekja/ymanager/ws/rest/ApiController.java
+++ b/server/src/main/java/org/danekja/ymanager/ws/rest/ApiController.java
@@ -34,17 +34,17 @@ public class ApiController {
     // *********************** GET ****************************
 
     @GetMapping("/users/requests/vacation")
-    public List<VacationRequest> usersRequestsVacation(@RequestParam(value = "status", required = false) Status status) {
+    public List<VacationRequestDTO> usersRequestsVacation(@RequestParam(value = "status", required = false) Status status) {
         return manager.getVacationRequests(status);
     }
 
     @GetMapping("/users/requests/authorization")
-    public List<AuthorizationRequest> userRequestsAuthorization(@RequestParam(value = "status", required = false) Status status) {
+    public List<AuthorizationRequestDTO> userRequestsAuthorization(@RequestParam(value = "status", required = false) Status status) {
         return manager.getAuthorizationRequests(status);
     }
 
     @GetMapping("/user/{id}/calendar")
-    public List<VacationDay> userCalendar(@PathVariable("id") Long id, @RequestParam(value = "from") String from, @RequestParam(value = "to", required = false) String to, @RequestParam(value = "status", required = false) Status status) {
+    public List<VacationDayDTO> userCalendar(@PathVariable("id") Long id, @RequestParam("from") String from, @RequestParam(value = "to", required = false) String to, @RequestParam(value = "status", required = false) Status status) {
         DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy/MM/dd");
         LocalDate fromDate = LocalDate.parse(from, formatter);
         LocalDate toDate = to != null ? LocalDate.parse(to, formatter) : null;
@@ -52,24 +52,24 @@ public class ApiController {
     }
 
     @GetMapping("/settings")
-    public DefaultSettings settings() {
-        return new DefaultSettings(manager.getDefaultSettings());
+    public DefaultSettingsDTO settings() {
+        return new DefaultSettingsDTO(manager.getDefaultSettings());
     }
 
     // *********************** POST ****************************
 
     @PostMapping("/settings")
-    public ResponseEntity<Void> settings(@RequestBody DefaultSettings settings) {
+    public ResponseEntity<Void> settings(@RequestBody DefaultSettingsDTO settings) {
         manager.createSettings(settings.toEntity());
 
         return ResponseEntity.ok().build();
     }
 
     @PostMapping("/user/calendar/create")
-    public ResponseEntity<Void> userCalendarCreate(@RequestBody VacationDay vacationDay, Authentication auth) {
+    public ResponseEntity<Void> userCalendarCreate(@RequestBody VacationDayDTO vacationDayDTO, Authentication auth) {
         //TODO make api endpoint contain userId in path as part of #39, also drop the create part of path
         //TODO drop the auth parameter afterwards
-        manager.createVacation(((User) auth.getPrincipal()).getId(), vacationDay);
+        manager.createVacation(((User) auth.getPrincipal()).getId(), vacationDayDTO);
 
         return ResponseEntity.ok().build();
     }
@@ -78,7 +78,7 @@ public class ApiController {
 
 
     @PutMapping("/user/settings")
-    public ResponseEntity<Void> userSettings(@RequestBody UserSettings settings, Authentication auth) {
+    public ResponseEntity<Void> userSettings(@RequestBody UserSettingsDTO settings, Authentication auth) {
         //TODO make api endpoint contain userId in path as part of #39
         //TODO drop the auth parameter afterwards
         manager.changeSettings(((User) auth.getPrincipal()).getId(), settings);
@@ -87,16 +87,16 @@ public class ApiController {
     }
 
     @PutMapping("/user/calendar/edit")
-    public ResponseEntity<Void> userCalendarEdit(@RequestBody VacationDay vacationDay) {
+    public ResponseEntity<Void> userCalendarEdit(@RequestBody VacationDayDTO vacationDayDTO) {
         //TODO make api endpoint point to vacation endpoint as part of #39, also drop the edit part of path
         //TODO drop the auth parameter afterwards
-        manager.changeVacation(vacationDay);
+        manager.changeVacation(vacationDayDTO);
 
         return ResponseEntity.ok().build();
     }
 
     @PutMapping("/user/requests")
-    public ResponseEntity<Void> userRequests(@RequestParam("type") RequestType type, @RequestBody BasicRequest request) {
+    public ResponseEntity<Void> userRequests(@RequestParam("type") RequestType type, @RequestBody BasicRequestDTO request) {
         manager.changeRequest(type, request);
 
         return ResponseEntity.ok().build();
